Debian Bug report logs - #483341
wxwidgets2.6: FTBFS: mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-g tk2-unicode-dbg': No such file or directory

version graph

Package: wxwidgets2.6; Maintainer for wxwidgets2.6 is wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 28 May 2008 10:55:40 UTC

Severity: serious

Tags: patch

Found in version 2.6.3.2.2-2

Fixed in version wxwidgets2.6/2.6.3.2.2-3

Done: Ron Lee <ron@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: wxwidgets2.6: FTBFS: mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-g tk2-unicode-dbg': No such file or directory
Date: Wed, 28 May 2008 14:30:19 +0200
Package: wxwidgets2.6
Version: 2.6.3.2.2-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080527 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on
i386.

Relevant part:
> running build_py
> running install_lib
> copying build-gtk2.unicode/lib_d/wxversion.py -> /build/user-wxwidgets2.6_2.6.3.2.2-2-amd64-McJpg3/wxwidgets2.6-2.6.3.2.2-2/wxPython/../debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages
> byte-compiling /build/user-wxwidgets2.6_2.6.3.2.2-2-amd64-McJpg3/wxwidgets2.6-2.6.3.2.2-2/wxPython/../debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wxversion.py to wxversion.pyc
> running install_data
> copying src/wx.pth -> /build/user-wxwidgets2.6_2.6.3.2.2-2-amd64-McJpg3/wxwidgets2.6-2.6.3.2.2-2/wxPython/../debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/
> running install_egg_info
> Writing /build/user-wxwidgets2.6_2.6.3.2.2-2-amd64-McJpg3/wxwidgets2.6-2.6.3.2.2-2/wxPython/../debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wxPython_common-2.6.3.2.egg-info
> [17013 refs]
> mv debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode-dbg \
> 		debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode
> mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode-dbg': No such file or directory
> make: *** [install-gtk-dbg-py2.4] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2008/05/27

This rebuild was done with gcc 4.3 instead of gcc 4.2, because gcc 4.3
is now the default on most architectures (even if it's not the case on
i386 yet).  Consequently, many failures are caused by the switch to gcc
4.3.
If you determine that this failure is caused by gcc 4.3, feel free to
downgrade this bug to 'important' if your package is only built on i386,
and this bug is specific to gcc 4.3 (i.e the package builds fine with
gcc 4.2).

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #10 received at 483341@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 483341@bugs.debian.org
Subject: wxwidgets2.6: FTBFS not reproducible?
Date: Sat, 28 Jun 2008 22:48:55 +0100
[Message part 1 (text/plain, inline)]
severity 483341 important
tags 483341 + unreproducible
thanks

I've built this package successfully in a clean sid chroot, and Chris
has built it successfully with "apt-get -b source" on lenny, so perhaps
this was caused by a bug in some other package that has already been
fixed. Downgrading to non-RC as recommended by Luk Claes.

See attached build log (which claims to be for revision -2.1, but that's
the only source change I'd made so far).

Regards,
    Simon
    at the Cambridge BSP
[wxwidgets2.6_2.6.3.2.2-2.1_i386.build (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `serious' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 28 Jun 2008 21:51:07 GMT) Full text and rfc822 format available.

Tags added: unreproducible Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 28 Jun 2008 21:51:08 GMT) Full text and rfc822 format available.

Reply sent to Ron <ron@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 483341-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Simon McVittie <smcv@debian.org>, 483341-done@bugs.debian.org
Subject: Re: Bug#483341: wxwidgets2.6: FTBFS not reproducible?
Date: Sun, 29 Jun 2008 19:04:03 +0930
Hi Simon,

Thanks for looking into this.  Comparing what changed between this and
the build that Lucas ran, his appears to have mangled a bunch of extra
version information into some of the python target names.  Since that
was done by the python distutils (possibly influenced by pycentral ?)
it seems fairly safe to conclude this was an external transient bug in
the python support packages somewhere, which now appears to be fixed.

In the light of this result, I think we can pretty safely close it now.
If someone else runs into it, we'll hear more about it soon enough.

Cheers!
Ron


On Sat, Jun 28, 2008 at 10:48:55PM +0100, Simon McVittie wrote:
> severity 483341 important
> tags 483341 + unreproducible
> thanks
> 
> I've built this package successfully in a clean sid chroot, and Chris
> has built it successfully with "apt-get -b source" on lenny, so perhaps
> this was caused by a bug in some other package that has already been
> fixed. Downgrading to non-RC as recommended by Luk Claes.
> 
> See attached build log (which claims to be for revision -2.1, but that's
> the only source change I'd made so far).
> 
> Regards,
>     Simon
>     at the Cambridge BSP





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #24 received at 483341@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Ron <ron@debian.org>
Cc: Simon McVittie <smcv@debian.org>, 483341@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#483341: wxwidgets2.6: FTBFS not reproducible?
Date: Sat, 12 Jul 2008 11:11:15 +0200
reopen 483341
thanks

On 29/06/08 at 19:04 +0930, Ron wrote:
> Since that
> was done by the python distutils (possibly influenced by pycentral ?)
> it seems fairly safe to conclude this was an external transient bug in
> the python support packages somewhere, which now appears to be fixed.

No, I reproduced the failure, so it's not transient.

- Lucas




Bug reopened, originator not changed. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sat, 12 Jul 2008 09:39:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #31 received at 483341@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: control@bugs.debian.org
Cc: 483341@bugs.debian.org
Subject: severity of 483341 is serious
Date: Wed, 03 Sep 2008 17:05:12 +0200
# Automatically generated email from bts, devscripts version 2.10.35
# forgot to reset severity when reopening
severity 483341 serious





Severity set to `serious' from `important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Wed, 03 Sep 2008 15:24:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #38 received at 483341@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 483341@bugs.debian.org
Subject: Re: Bug#483341: severity of 483341 is serious
Date: Sat, 6 Sep 2008 19:18:04 +0200
On Wed, Sep 03, 2008 at 05:05:12PM +0200, Lucas Nussbaum wrote:
> # Automatically generated email from bts, devscripts version 2.10.35
> # forgot to reset severity when reopening
> severity 483341 serious
>

I have been unable to reproduce this bug in amd64/unstable using both
cowbuilder and schroot.
where is the build log of your last rebuild? what are the parameters of this
rebuild? unstable? lenny?

Ana
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #43 received at 483341@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 483341@bugs.debian.org
Subject: Re: Bug#483341: severity of 483341 is serious
Date: Sat, 6 Sep 2008 20:39:07 +0200
On Sat, Sep 06, 2008 at 07:18:04PM +0200, Ana Guerrero wrote:
> On Wed, Sep 03, 2008 at 05:05:12PM +0200, Lucas Nussbaum wrote:
> > # Automatically generated email from bts, devscripts version 2.10.35
> > # forgot to reset severity when reopening
> > severity 483341 serious
> >
> 
> I have been unable to reproduce this bug in amd64/unstable using both
> cowbuilder and schroot.
> where is the build log of your last rebuild? what are the parameters of this
> rebuild? unstable? lenny?
>

Never mind... I found the log and I know what is going wrong, now let's search
for a fix :D





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #48 received at 483341@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: control@bugs.debian.org
Cc: 483341@bugs.debian.org
Subject: tagging 483341
Date: Sun, 07 Sep 2008 19:31:03 +0200
# Automatically generated email from bts, devscripts version 2.10.35
#I can reproduce this using sbuild
tags 483341 - unreproducible





Tags removed: unreproducible Request was from Ana Beatriz Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Sun, 07 Sep 2008 17:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #55 received at 483341@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 483341@bugs.debian.org
Cc: ron@debian.org
Subject: Re: Bug#483341: wxwidgets2.6: FTBFS: mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-g tk2-unicode-dbg': No such file or directory
Date: Mon, 8 Sep 2008 22:27:42 +0200
[Message part 1 (text/plain, inline)]
Hi Ron,

On Wed, May 28, 2008 at 02:30:19PM +0200, Lucas Nussbaum wrote:
> Package: wxwidgets2.6
> Version: 2.6.3.2.2-2
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20080527 qa-ftbfs
> Justification: FTBFS on i386
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> i386.
> 
> Relevant part:
> > running build_py
> > running install_lib
> > copying build-gtk2.unicode/lib_d/wxversion.py -> /build/user-wxwidgets2.6_2.6.3.2.2-2-amd64-McJpg3/wxwidgets2.6-2.6.3.2.2-2/wxPython/../debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages
> > byte-compiling /build/user-wxwidgets2.6_2.6.3.2.2-2-amd64-McJpg3/wxwidgets2.6-2.6.3.2.2-2/wxPython/../debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wxversion.py to wxversion.pyc
> > running install_data
> > copying src/wx.pth -> /build/user-wxwidgets2.6_2.6.3.2.2-2-amd64-McJpg3/wxwidgets2.6-2.6.3.2.2-2/wxPython/../debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/
> > running install_egg_info
> > Writing /build/user-wxwidgets2.6_2.6.3.2.2-2-amd64-McJpg3/wxwidgets2.6-2.6.3.2.2-2/wxPython/../debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wxPython_common-2.6.3.2.egg-info
> > [17013 refs]
> > mv debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode-dbg \
> > 		debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode
> > mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode-dbg': No such file or directory
> > make: *** [install-gtk-dbg-py2.4] Error 1


Currently, if you use pbuilder/cowbuilder it builds fine, but this bug
is perfeclty reproducible here using sbuild and LVM.

The problem is in the rules file, it defines in the line 59:

DEBIAN_WXFLAVOUR := $(shell pwd | sed -e 's@.*/wxwidgets[0-9.]\+-\?\(.*\)-[0-9.]\+-\?.*@\1@')

then later, "release" and "sorelease" are defined, the last depending on DEBIAN_WXFLAVOUR:

sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))


Then, with cowbuilder:
DEBIAN_WXFLAVOUR does not get any value
RELEASE -> 2.6
SORELEASE -> 2.6-0

with sbuild:
DEBIAN_WXFLAVOUR gets 2.6.3.2.2
RELEASE -> 2.6
SORELEASE -> 2.6-0-2.6.3.2.2

About the line 835 in the debian/rules you have:
    mv debian/$(package_gtk_dbg_py)/usr/lib/python$*/site-packages/$(wxsubdir)-dbg \
	        debian/$(package_gtk_dbg_py)/usr/lib/python$*/site-packages/$(wxsubdir)


this is "translated" to:

mv debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode-dbg \
        debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode

with cowbuilder it works fine, but due DEBIAN_WXFLAVOUR and sorelease being
used in the rules, using sbuild you obtain:

/build/ana-wxwidgets2.6_2.6.3.2.2-2-amd64-dvLwJ6/wxwidgets2.6-2.6.3.2.2-2/
debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-package/wx-2.6-gtk2-unicode-2.6.3.2.2-dbg

notice the extra "2.6.3.2.2-" part.


Fixing the line 835 to workaround this, does not fix the problem, because then it fails
in the dh_shlibdeps part. 

It seems, the lastest i386 upload and them the builds have built latest upload
of wxwidgets2.6 with a empty DEBIAN_WXFLAVOUR value. You can check this on any
buildd log of the latest upload, for example for amd64:

http://buildd.debian.org/fetch.cgi?pkg=wxwidgets2.6;ver=2.6.3.2.2-2;arch=amd64;stamp=1202777401

also, the lines where FLAVOUR appears, it does not get any value. 

So basically, quick fix is make DEBIAN_WXFLAVOUR emtpy and it will always build, 
exaclty how it has done for the last upload. Attached mini-patch has been 
tested and works.

Ideal fix would be fixing the whole debian/rules, but given the release time
we are it is not good idea make big changes in the package. I gould go for the 
quick solution and keep the package how it is working currently...
Anyway, I guess this version of wxwidgets is meant to dissapear post lenny?

Ana
[wxwidgets2.6-2.6.3.2.2-2.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Beatriz Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Mon, 08 Sep 2008 20:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #62 received at 483341@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Ana Guerrero <ana@debian.org>, 483341@bugs.debian.org
Subject: Re: Bug#483341: wxwidgets2.6: FTBFS: mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-g tk2-unicode-dbg': No such file or directory
Date: Mon, 08 Sep 2008 22:34:53 +0200
[Message part 1 (text/plain, inline)]
Hi!

Ana Guerrero schrieb:
> DEBIAN_WXFLAVOUR := $(shell pwd | sed -e 's@.*/wxwidgets[0-9.]\+-\?\(.*\)-[0-9.]\+-\?.*@\1@')
[..]
> Ideal fix would be fixing the whole debian/rules, but given the release time
> we are it is not good idea make big changes in the package. I gould go for the 
> quick solution and keep the package how it is working currently...
> Anyway, I guess this version of wxwidgets is meant to dissapear post lenny?

Did you see Matt Kraai fix for #489077?  Seems to be the same Problem,
and his fix is a oneliner, just changing how the content of that
variable is generated.

Should work here, too.


Best regards,
  Alexander

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #67 received at 483341@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Alexander Reichle-Schmehl <tolimar@debian.org>
Cc: 483341@bugs.debian.org
Subject: Re: Bug#483341: wxwidgets2.6: FTBFS: mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-g tk2-unicode-dbg': No such file or directory
Date: Tue, 9 Sep 2008 00:21:57 +0200
On Mon, Sep 08, 2008 at 10:34:53PM +0200, Alexander Reichle-Schmehl wrote:
> Hi!
> 
> Ana Guerrero schrieb:
> > DEBIAN_WXFLAVOUR := $(shell pwd | sed -e 's@.*/wxwidgets[0-9.]\+-\?\(.*\)-[0-9.]\+-\?.*@\1@')
> [..]
> > Ideal fix would be fixing the whole debian/rules, but given the release time
> > we are it is not good idea make big changes in the package. I gould go for the 
> > quick solution and keep the package how it is working currently...
> > Anyway, I guess this version of wxwidgets is meant to dissapear post lenny?
> 
> Did you see Matt Kraai fix for #489077?  Seems to be the same Problem,
> and his fix is a oneliner, just changing how the content of that
> variable is generated.
> 
> Should work here, too.

I did not fully read that bug report, but yes the second problem listed there
is the same. That fix will work as well because it creates an empty
DEBIAN_WXFLAVOUR value, if you still keep a build log of your upload, please
check if the options: --with-flavour= are followed by something. (My guess is
they don't)


Ana





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #72 received at 483341@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Alexander Reichle-Schmehl <tolimar@debian.org>
Cc: 483341@bugs.debian.org
Subject: Re: Bug#483341: wxwidgets2.6: FTBFS: mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-g tk2-unicode-dbg': No such file or directory
Date: Tue, 9 Sep 2008 01:14:14 +0200
On Tue, Sep 09, 2008 at 12:21:57AM +0200, Ana Guerrero wrote:
> On Mon, Sep 08, 2008 at 10:34:53PM +0200, Alexander Reichle-Schmehl wrote:
> > Hi!
> > 
> > Ana Guerrero schrieb:
> > > DEBIAN_WXFLAVOUR := $(shell pwd | sed -e 's@.*/wxwidgets[0-9.]\+-\?\(.*\)-[0-9.]\+-\?.*@\1@')
> > [..]
> > > Ideal fix would be fixing the whole debian/rules, but given the release time
> > > we are it is not good idea make big changes in the package. I gould go for the 
> > > quick solution and keep the package how it is working currently...
> > > Anyway, I guess this version of wxwidgets is meant to dissapear post lenny?
> > 
> > Did you see Matt Kraai fix for #489077?  Seems to be the same Problem,
> > and his fix is a oneliner, just changing how the content of that
> > variable is generated.
> > 
> > Should work here, too.
> 
> I did not fully read that bug report, but yes the second problem listed there
> is the same. That fix will work as well because it creates an empty
> DEBIAN_WXFLAVOUR value, if you still keep a build log of your upload, please
> check if the options: --with-flavour= are followed by something. (My guess is
> they don't)
> 

I just took a look to the amd64 buildd upload of your NMU [1] and
DEBIAN_WXFLAVOUR does not take a value with this solution either.

You just can check in the debian/rules that the lines that contains:
        --with-flavour=$(DEBIAN_WXFLAVOUR)  \
are replaced by:
        --with-flavour=
in the buildd log :)

Actually, this worked as expected (generating the "flavour" string) before
patching it when using sbuild, it is just the rest of the rules is wrong.
My patch is meant to be a work around instead of change the rest of the
debian/rules that is what it should be done.

Still, Ron, what do you think of this?

And by the way, my fix is oneliner too !=)

Ana

[1]
http://buildd.debian.org/fetch.cgi?pkg=wxwidgets2.8;ver=2.8.7.1-1.1;arch=amd64;stamp=1220833694

> 




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #77 received at 483341@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Ana Guerrero <ana@debian.org>, 483341@bugs.debian.org
Subject: Re: Bug#483341: wxwidgets2.6: FTBFS: mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-g tk2-unicode-dbg': No such file or directory
Date: Tue, 9 Sep 2008 11:57:14 +0930
Hi Ana, Alexander,

Thanks a lot for looking into this!  I guess I should explain a bit of
the context to make it clear why we don't want to just disable this
entirely ...

On Tue, Sep 09, 2008 at 01:14:14AM +0200, Ana Guerrero wrote:
> On Tue, Sep 09, 2008 at 12:21:57AM +0200, Ana Guerrero wrote:
> > On Mon, Sep 08, 2008 at 10:34:53PM +0200, Alexander Reichle-Schmehl wrote:
> > > Hi!
> > > 
> > > Ana Guerrero schrieb:
> > > > DEBIAN_WXFLAVOUR := $(shell pwd | sed -e 's@.*/wxwidgets[0-9.]\+-\?\(.*\)-[0-9.]\+-\?.*@\1@')
> > > [..]
> > > > Ideal fix would be fixing the whole debian/rules,

At a first glance the ideal fix might be fixing sbuild :)  but I don't
know why it changed to do what it's doing now, and I somehow doubt that
will happen too.  It does seem independently ugly and troublesome that
it's mangling directory names in ways that other build mechanisms don't
though ...

> > > > Anyway, I guess this version of wxwidgets is meant to dissapear post lenny?

Hard to say.  Both this and 2.8 are probably candidates to vanish for squeeze.
Which one vanishes first depends a lot on the app authors.  There are stable
apps which have not been able to be forward ported from wx2.4 still -- and from
the sounds of how 3.x is going that's going to be repeated again when it finally
arrives on the scene.  So this is very much 'wait and see' material ...

> > > Did you see Matt Kraai fix for #489077?  Seems to be the same Problem,
> > > and his fix is a oneliner, just changing how the content of that
> > > variable is generated.
> > > 
> > > Should work here, too.
> > 
> > I did not fully read that bug report, but yes the second problem listed there
> > is the same. That fix will work as well because it creates an empty
> > DEBIAN_WXFLAVOUR value, if you still keep a build log of your upload, please
> > check if the options: --with-flavour= are followed by something. (My guess is
> > they don't)
> > 
> 
> I just took a look to the amd64 buildd upload of your NMU [1] and
> DEBIAN_WXFLAVOUR does not take a value with this solution either.
> 
> You just can check in the debian/rules that the lines that contains:
>         --with-flavour=$(DEBIAN_WXFLAVOUR)  \
> are replaced by:
>         --with-flavour=
> in the buildd log :)
> 
> Actually, this worked as expected (generating the "flavour" string) before
> patching it when using sbuild, it is just the rest of the rules is wrong.
> My patch is meant to be a work around instead of change the rest of the
> debian/rules that is what it should be done.

The flavour string _is_ supposed to come up empty for the default package
builds, and likewise _is_ supposed to have a value if the build has been
locally flavoured.  The reason for this is two-fold:

 - The 'flavoured' packages are constructed so as to be able to be
   installed concurrently with distro packages of the same version.
 - The flavoured packages can be selected at build time by using
   the --flavour option of wx-config.

This is important because wx can be built in many optional configurations
not all of which are suitable for the distro, but some of which are
essential for particular applications and use cases.  Some optional
components would taint the lib with a different licence, some would bring
in other deps that apps in the distro don't need, and most users probably
don't want.

The only way to handle that well is to let people build their own.  But
since they may not be binary compatible with the distro libs, forcing
people to uninstall or rebuild (if even possible) all the distro apps
they use seems unworkable.

Since it only seems to be the python -dbg build that is failing here,
and the changes to add it and the pycentral support are relatively
new and may not have been tested properly with this mechanism, then
if they are buggy we should either remove or fix them.

Changing the regex to read the flavour from the changelog instead
of the dir name was the first thing that occurred to me when I read
your initial report too -- my main doubt about that is why didn't
I do it that way in the first place...  especially since I'm reading
the release version from the changelog immediately below that ...

Unfortunately, this has been stable for a very long time now, so
it's going to take a while to recall the details, if I can at all.
I'll have a look through some old history and see what memories
it jogs.

It does seem to me that any fix here should not just cripple the
flavour mechanism though.  I need to look in a bit more detail to
understand why you think 'the rest of the rules (are) wrong'...
Since this is failing in things that were added relatively recently
and not by myself, that may be true -- and if the fallout of the
sbuild changes are localised to those changes, then they should
probably be fixed while we have a clear example and test of why
they are broken...  this won't get easier later either.

In the meantime, I'll try to recall why the decision to check both
the dir name and changelog version was made, but if the dirname is
now unreliable and can be mangled by autobuilders, we probably don't
have a lot of choice but to get the flavour from the changelog ...

I suspect the reason may be if you change the flavour in the changelog
without also changing the dirname, then it will break in not totally
dissimilar ways to what sbuild has done by changing just the dirname
 -- has anyone checked that the patched wx2.8 can still build with a
flavour?  I'll put a beer on (even though it's too early in my morning
to be gambling on hunches or drinking beer) that this has just removedi
one sanity check for users building local flavoured packages in favour
of accommodating sbuild more tolerantly.

So yeah.  UGH.  But we know a bit more about this now than we did
last week, so that's a start ...  does anyone have a pointer for
me about why sbuild has done this?

Cheers,
Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#483341; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #82 received at 483341@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Ron <ron@debian.org>
Cc: 483341@bugs.debian.org
Subject: Re: Bug#483341: wxwidgets2.6: FTBFS: mv: cannot stat `debian/python-wxgtk2.6-dbg/usr/lib/python2.4/site-packages/wx-2.6-g tk2-unicode-dbg': No such file or directory
Date: Tue, 9 Sep 2008 08:55:47 +0200
Hi,

On Tue, Sep 09, 2008 at 11:57:14AM +0930, Ron wrote:
>

[long explanation skip]

Gah, in some moment i read the comment about  DEBIAN_WXFLAVOUR,
and then forgot about it when working further in the problem.

...
> It does seem to me that any fix here should not just cripple the
> flavour mechanism though.  I need to look in a bit more detail to
> understand why you think 'the rest of the rules (are) wrong'...

This comment was made assuming DEBIAN_WXFLAVOUR should always have a value.
And for some reason it was always being empty.

It is in the debian/rules file, but if you think users might want to create
their own flavours builds of your package, it would be a nice idea document
how exactly doing this in the README.Debian.


> So yeah.  UGH.  But we know a bit more about this now than we did
> last week, so that's a start ...  does anyone have a pointer for
> me about why sbuild has done this?
>

My suspect is unless you can point clearly a bug about this in sbuild, you
will have to adapt yout packaging :/


Happy hacking!
Ana




Reply sent to Ron Lee <ron@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 483341-close@bugs.debian.org (full text, mbox):

From: Ron Lee <ron@debian.org>
To: 483341-close@bugs.debian.org
Subject: Bug#483341: fixed in wxwidgets2.6 2.6.3.2.2-3
Date: Tue, 09 Sep 2008 14:32:11 +0000
Source: wxwidgets2.6
Source-Version: 2.6.3.2.2-3

We believe that the bug you reported is fixed in the latest version of
wxwidgets2.6, which is due to be installed in the Debian FTP archive:

libwxbase2.6-0_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/libwxbase2.6-0_2.6.3.2.2-3_amd64.deb
libwxbase2.6-dbg_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/libwxbase2.6-dbg_2.6.3.2.2-3_amd64.deb
libwxbase2.6-dev_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/libwxbase2.6-dev_2.6.3.2.2-3_amd64.deb
libwxgtk2.6-0_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/libwxgtk2.6-0_2.6.3.2.2-3_amd64.deb
libwxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/libwxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
libwxgtk2.6-dev_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/libwxgtk2.6-dev_2.6.3.2.2-3_amd64.deb
python-wxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/python-wxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
python-wxgtk2.6_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/python-wxgtk2.6_2.6.3.2.2-3_amd64.deb
python-wxtools_2.6.3.2.2-3_all.deb
  to pool/main/w/wxwidgets2.6/python-wxtools_2.6.3.2.2-3_all.deb
python-wxversion_2.6.3.2.2-3_all.deb
  to pool/main/w/wxwidgets2.6/python-wxversion_2.6.3.2.2-3_all.deb
wx-common_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/wx-common_2.6.3.2.2-3_amd64.deb
wx2.6-doc_2.6.3.2.2-3_all.deb
  to pool/main/w/wxwidgets2.6/wx2.6-doc_2.6.3.2.2-3_all.deb
wx2.6-examples_2.6.3.2.2-3_all.deb
  to pool/main/w/wxwidgets2.6/wx2.6-examples_2.6.3.2.2-3_all.deb
wx2.6-headers_2.6.3.2.2-3_amd64.deb
  to pool/main/w/wxwidgets2.6/wx2.6-headers_2.6.3.2.2-3_amd64.deb
wx2.6-i18n_2.6.3.2.2-3_all.deb
  to pool/main/w/wxwidgets2.6/wx2.6-i18n_2.6.3.2.2-3_all.deb
wxwidgets2.6_2.6.3.2.2-3.diff.gz
  to pool/main/w/wxwidgets2.6/wxwidgets2.6_2.6.3.2.2-3.diff.gz
wxwidgets2.6_2.6.3.2.2-3.dsc
  to pool/main/w/wxwidgets2.6/wxwidgets2.6_2.6.3.2.2-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 483341@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ron Lee <ron@debian.org> (supplier of updated wxwidgets2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 09 Sep 2008 20:58:46 +0930
Source: wxwidgets2.6
Binary: libwxbase2.6-0 libwxbase2.6-dev libwxbase2.6-dbg libwxgtk2.6-0 libwxgtk2.6-dev libwxgtk2.6-dbg python-wxgtk2.6 python-wxgtk2.6-dbg python-wxversion python-wxtools wx-common wx2.6-headers wx2.6-i18n wx2.6-doc wx2.6-examples libwxmsw2.6-dev libwxmsw2.6-dbg wx2.6-headers-msw
Architecture: source amd64 all
Version: 2.6.3.2.2-3
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: Ron Lee <ron@debian.org>
Description: 
 libwxbase2.6-0 - wxBase library (runtime) - non-GUI support classes of wxWidgets t
 libwxbase2.6-dbg - wxBase library (debug) - non-GUI support classes of wxWidgets too
 libwxbase2.6-dev - wxBase library (development) - non-GUI support classes of wxWidge
 libwxgtk2.6-0 - wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 libwxgtk2.6-dbg - wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 libwxgtk2.6-dev - wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 libwxmsw2.6-dbg - wxMSW mingw32msvc-cross (debug)
 libwxmsw2.6-dev - wxMSW mingw32msvc-cross
 python-wxgtk2.6 - wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
 python-wxgtk2.6-dbg - wxWidgets Cross-platform C++ GUI toolkit (wxPython binding, debug
 python-wxtools - wxWidgets Cross-platform C++ GUI toolkit (wxPython common files)
 python-wxversion - wxWidgets Cross-platform C++ GUI toolkit (wxPython version select
 wx-common  - wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wx2.6-doc  - wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wx2.6-examples - wxWidgets Cross-platform C++ GUI toolkit (examples)
 wx2.6-headers - wxWidgets Cross-platform C++ GUI toolkit (header files)
 wx2.6-headers-msw - Extra wxWidgets headers for mingw32msvc-cross
 wx2.6-i18n - wxWidgets Cross-platform C++ GUI toolkit (i18n support)
Closes: 445729 468620 483341
Changes: 
 wxwidgets2.6 (2.6.3.2.2-3) unstable; urgency=low
 .
   * Take the flavour from the changelog, not the top dirname.  sbuild has
     started doing fun things with renaming that dir, and apparently it's
     allowed to.  Many thanks to Ana Guerrero for hunting the real cause
     for this out, Alexander Reichle-Schmehl for pointing out he'd just
     tested and uploaded a fix for this issue with wx2.8, and Matt Kraai
     for elaborating on #489077 with a patch.  Closes: #483341
   * Reapply a fix reverted in the previous upload.  Closes: #445729
   * Drop the Suggests: python-xml, it is obsoleted and/or absorbed now.
     Closes: #468620
   * Drop a stray .po file that should have never been where it is in the
     first place.
Checksums-Sha1: 
 b55e1259093cae959882e51b119c76d14e30d1c7 1545 wxwidgets2.6_2.6.3.2.2-3.dsc
 c03909bcda38832a8a51d78ca8c8d5be62fd3ed4 118170 wxwidgets2.6_2.6.3.2.2-3.diff.gz
 5076881b842a84deb7c70c178feda90976191c47 552408 libwxbase2.6-0_2.6.3.2.2-3_amd64.deb
 47a2735996221ab88fc6d54e1d97fea33faa8acf 37214 libwxbase2.6-dev_2.6.3.2.2-3_amd64.deb
 d31d4fd7a33ac74aedb7135d9c9e6728a5a9a56f 3079678 libwxbase2.6-dbg_2.6.3.2.2-3_amd64.deb
 7430af2df9d2f31c417ef4849d1030f03ffd6bfa 2825846 libwxgtk2.6-0_2.6.3.2.2-3_amd64.deb
 e787aa8b8492a100637ec6c8d3e80b33e1b4a941 37440 libwxgtk2.6-dev_2.6.3.2.2-3_amd64.deb
 65b12921269ad97c639bb2b63984151c44a3d937 18779908 libwxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
 ff0a3204512cf0776e32d7643ff9ccca4ccf0284 5469666 python-wxgtk2.6_2.6.3.2.2-3_amd64.deb
 43781a945558380f1f53a1a99a106ee0b7f535b4 19727780 python-wxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
 6e672ecccb711762fa482830775ef0408a9ffb58 49466 wx-common_2.6.3.2.2-3_amd64.deb
 6fb14ae6db140c0cac301279d058d7bb3e0b9b28 900018 wx2.6-headers_2.6.3.2.2-3_amd64.deb
 3490e2ed76cd5507e3c694c14315691fa98a3220 23446 python-wxversion_2.6.3.2.2-3_all.deb
 1d14ca654eda13c16648b5df340a1d23a47660a4 18680 python-wxtools_2.6.3.2.2-3_all.deb
 1e6560d0f03b148f049b3d7a83249a8547ac1745 668816 wx2.6-i18n_2.6.3.2.2-3_all.deb
 ff0d6b7dbe031b373d89e4329d22cdb7ad095cb8 1253696 wx2.6-doc_2.6.3.2.2-3_all.deb
 54e66151420c02d974ee9993f2c6054d8ef01442 3624360 wx2.6-examples_2.6.3.2.2-3_all.deb
Checksums-Sha256: 
 5ec8778afb851d82b19dd87351be71230e901ae930c248d8db511ea0d2801f39 1545 wxwidgets2.6_2.6.3.2.2-3.dsc
 813885cce88ecbb4554e369c1d5dc350fc3c4576a3eb1774e069b973809a2ac9 118170 wxwidgets2.6_2.6.3.2.2-3.diff.gz
 850d281bc8726c4cd3ab7ce8eaa407f244dc8b411ad53d437d3b7a45a3c68a13 552408 libwxbase2.6-0_2.6.3.2.2-3_amd64.deb
 3ede4f4f0bb3127fed7b92ec8eb949f1e1133225888c732e551e4759e6e33a86 37214 libwxbase2.6-dev_2.6.3.2.2-3_amd64.deb
 e4ab40814effffca334b1dd2f117f2108842924eacfa7f01594fadf595b26306 3079678 libwxbase2.6-dbg_2.6.3.2.2-3_amd64.deb
 55c72e47402e55c60ec0be1c7a6b8e261849693faed66c64582ec9ed9c247bd8 2825846 libwxgtk2.6-0_2.6.3.2.2-3_amd64.deb
 b1588de089f6a5fcdba41bdcacb693e8c8431b646ce986d891c9b304c2909cca 37440 libwxgtk2.6-dev_2.6.3.2.2-3_amd64.deb
 36d364b3180f85bb9f72a757d9e4301c881cb53ad4df4af69f95a7509286d970 18779908 libwxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
 b8de076a5485d36e749c673cc445fb7f8ad838b974321ba97107627e8683cf45 5469666 python-wxgtk2.6_2.6.3.2.2-3_amd64.deb
 1325a29241bbf73d0e9e0f3f43204e5ca5a73a76209f981d2af1e72b2c1d551e 19727780 python-wxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
 17b1018b8048ac34ec0b51f8aeb09a6ccedfdecf81c0c089eaafa8a1656c40fb 49466 wx-common_2.6.3.2.2-3_amd64.deb
 b706c8adcf7a249b97c939ec60762b53fc1621d7d4ccdb8aae9ac93956020d5a 900018 wx2.6-headers_2.6.3.2.2-3_amd64.deb
 21d2c4fb88e2c4e4d3b517c21b01a16324672495be4be18856b0b01001bf76d1 23446 python-wxversion_2.6.3.2.2-3_all.deb
 38c285a55448f98b0707be3e989ab166b9be534cee89c3cad958a23f835cd985 18680 python-wxtools_2.6.3.2.2-3_all.deb
 3acb3515fc682b3c9f41fec62cf1a89313baee56d11e17447051086098bc75c7 668816 wx2.6-i18n_2.6.3.2.2-3_all.deb
 f3995e4444d368bb283134de4323c36650d0839d14683e1c7d640c7c0ede11b5 1253696 wx2.6-doc_2.6.3.2.2-3_all.deb
 40e0892cc55a87d5e5106931ceba5b1fff1f52401cea07398d4acb843fdb333d 3624360 wx2.6-examples_2.6.3.2.2-3_all.deb
Files: 
 81d72c747d9155389342e3eb8769597e 1545 libs optional wxwidgets2.6_2.6.3.2.2-3.dsc
 116c8dda02eb493cf95fdf0b55756d95 118170 libs optional wxwidgets2.6_2.6.3.2.2-3.diff.gz
 ea0689271a2ef44db34364f0c3419347 552408 libs optional libwxbase2.6-0_2.6.3.2.2-3_amd64.deb
 fb67d68bcfc5eab9c4334966f6f65e9d 37214 libdevel optional libwxbase2.6-dev_2.6.3.2.2-3_amd64.deb
 8911976e2259e10202c46eaa33155706 3079678 libdevel extra libwxbase2.6-dbg_2.6.3.2.2-3_amd64.deb
 60075dd766777cc884a1878e52e6844e 2825846 libs optional libwxgtk2.6-0_2.6.3.2.2-3_amd64.deb
 b2aa482b4e18c72c758c64104700ebe2 37440 libdevel optional libwxgtk2.6-dev_2.6.3.2.2-3_amd64.deb
 870a923fb5078c7c8f73a93613c477b4 18779908 libdevel extra libwxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
 839200ee33d079c4f86e528d28f0438c 5469666 python optional python-wxgtk2.6_2.6.3.2.2-3_amd64.deb
 9586545e8312be5e48e29aeb7584eb0b 19727780 python extra python-wxgtk2.6-dbg_2.6.3.2.2-3_amd64.deb
 9462f9b89c4ebbf2dfc91ab2a2b39ba7 49466 devel optional wx-common_2.6.3.2.2-3_amd64.deb
 b62fc2f323c4b5dd62b46ce28148c42c 900018 devel optional wx2.6-headers_2.6.3.2.2-3_amd64.deb
 bc8f5ee9df49d4731293b1eb6947a1e3 23446 python optional python-wxversion_2.6.3.2.2-3_all.deb
 0a28105e2f4b3a397cf5288dadf03414 18680 python optional python-wxtools_2.6.3.2.2-3_all.deb
 734aa7a41e7fc28478b7eaed01d85034 668816 libs optional wx2.6-i18n_2.6.3.2.2-3_all.deb
 3aa4e9a786e8ef75876c9c9240fb8cde 1253696 doc optional wx2.6-doc_2.6.3.2.2-3_all.deb
 b1dfff1f434b8489e8adca1975ed3fbd 3624360 devel optional wx2.6-examples_2.6.3.2.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIxoB3p4BCHGgCHOQRAha0AJ4/rMnVnxoig9qst6kKXXDgbGvyRQCeJaFm
Jn0NSEu9CgPeq5LWHRkmw84=
=AIIS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Oct 2008 07:27:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:21:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.